package com.heyu.api.data.entity.map;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*地图地名记录，说明
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("map_addr_info")
public class MapAddrInfoEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.map.MapAddrInfoEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";    // 修改时间
    public final static String name_ = CLASS_NAME + "name";                 // 地名
    public final static String map_name = CLASS_NAME + "map_name";          // 地图名称
    public final static String x_ = CLASS_NAME + "x";                       // x坐标 单位cm
    public final static String y_ = CLASS_NAME + "y";                       // y坐标 单位cm
    public final static String detail_ = CLASS_NAME + "detail";             // 地名故事介绍 
    public final static String near_des = CLASS_NAME + "near_des";          // 在谁附近，附近点说明
    public final static String remark_ = CLASS_NAME + "remark";             // 备注说明
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //地名
    private String name;
    //地图名称
    private String mapName;
    //x坐标 单位cm
    private Integer x;
    //y坐标 单位cm
    private Integer y;
    //地名故事介绍 
    private String detail;
    //在谁附近，附近点说明
    private String nearDes;
    //备注说明
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 地名 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 地名 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 地图名称 
     * @return
     */
    public String getMapName() {
        return mapName;
    }
    /**
     * 地图名称 
     * @param mapName
     */
    public void setMapName(String mapName) {
        this.mapName = mapName;
    }

    /**
     * x坐标 单位cm 
     * @return
     */
    public Integer getX() {
        return x;
    }
    /**
     * x坐标 单位cm 
     * @param x
     */
    public void setX(Integer x) {
        this.x = x;
    }

    /**
     * y坐标 单位cm 
     * @return
     */
    public Integer getY() {
        return y;
    }
    /**
     * y坐标 单位cm 
     * @param y
     */
    public void setY(Integer y) {
        this.y = y;
    }

    /**
     * 地名故事介绍  
     * @return
     */
    public String getDetail() {
        return detail;
    }
    /**
     * 地名故事介绍  
     * @param detail
     */
    public void setDetail(String detail) {
        this.detail = detail;
    }

    /**
     * 在谁附近，附近点说明 
     * @return
     */
    public String getNearDes() {
        return nearDes;
    }
    /**
     * 在谁附近，附近点说明 
     * @param nearDes
     */
    public void setNearDes(String nearDes) {
        this.nearDes = nearDes;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "MapAddrInfoEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",name=" + name +
                ",mapName=" + mapName +
                ",x=" + x +
                ",y=" + y +
                ",detail=" + detail +
                ",nearDes=" + nearDes +
                ",remark=" + remark +
                "}";
    }
}